Bug 492202 - Tcl/Tk applications do not open when started as user
Summary: Tcl/Tk applications do not open when started as user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tk
Version: 10
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 480742
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-25 20:44 UTC by Mike Hudson
Modified: 2009-06-10 07:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 07:25:04 UTC


Attachments (Terms of Use)

Description Mike Hudson 2009-03-25 20:44:18 UTC
Description of problem:

Within the last day (or two?) I have had problems with two different Tcl/Tk apps: Oracle Calendar and ds9. They do not open.

How reproducible: Everytime

Steps to Reproduce:
1. Start from command line
2. In the case of Oracle calendar, it ssays 
"Starting Oracle Calendar for Linux"
3. Then nothing happens

Additional info:

When running as root the applications will open correctly, but when opened as a user they hang and no window appears.

Some kind of permissions issue with an updated library perhaps?

Last night the following rpms updated

    ffmpeg-0.4.9-0.55.20080908.fc10.i386
    gtk2-2.14.7-7.fc10.i386
    selinux-policy-3.5.13-49.fc10.noarch
    libX11-devel-1.1.5-1.fc10.i386
    keepassx-0.3.4-3.fc10.i386
    libX11-1.1.5-1.fc10.i386
    gtk2-devel-2.14.7-7.fc10.i386
    1:java-1.6.0-openjdk-1.6.0.0-11.b14.fc10.i386
    selinux-policy-targeted-3.5.13-49.fc10.noarch
    lcms-1.18-1.fc10.i386
    xorg-x11-drv-vesa-2.2.0-3.fc10.i386
    lcms-libs-1.18-1.fc10.i386
    ffmpeg-libs-0.4.9-0.55.20080908.fc10.i386
    postgresql-libs-8.3.7-1.fc10.i386
    1:java-1.6.0-openjdk-devel-1.6.0.0-11.b14.fc10.i386

Comment 1 Marcela Mašláňová 2009-03-26 09:38:18 UTC
I had problems to reproduce it but you are using GNOME, didn't you? This is problem of changes in libX11. I will backport fix from rawhide.

Comment 2 Marcela Mašláňová 2009-03-26 10:18:16 UTC
You can download test package from here or install from testing repositories.
http://koji.fedoraproject.org/koji/buildinfo?buildID=95438

Comment 3 Fedora Update System 2009-03-26 10:20:58 UTC
tk-8.5.3-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tk-8.5.3-6.fc10

Comment 4 Fedora Update System 2009-03-26 14:55:29 UTC
tk-8.5.3-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3067

Comment 5 Mike Hudson 2009-03-26 16:09:00 UTC
The update had not yet propagated to my local mirror, but I downloaded and installed it from the link in comment #2 above.

Unfortunately it has not fixed the problem. 

Here is what I have for tk and libX11

# rpm -qi tk
Name        : tk                           Relocations: (not relocatable)
Version     : 8.5.3                             Vendor: Fedora Project
Release     : 6.fc10                        Build Date: Thu 26 Mar 2009 06:11:49 AM EDT
Install Date: Thu 26 Mar 2009 11:58:34 AM EDT      Build Host: x86-5.fedora.phx.redhat.com
Group       : Development/Languages         Source RPM: tk-8.5.3-6.fc10.src.rpm
Size        : 3507049                          License: TCL
Signature   : (none)
Packager    : Fedora Project
URL         : http://tcl.sourceforge.net
Summary     : The graphical toolkit for the Tcl scripting language
Description :
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

# rpm -qi libX11
Name        : libX11                       Relocations: (not relocatable)
Version     : 1.1.5                             Vendor: Fedora Project
Release     : 1.fc10                        Build Date: Sun 01 Mar 2009 06:16:41 PM EST
Install Date: Tue 24 Mar 2009 01:22:10 PM EDT      Build Host: x86-7.fedora.phx.redhat.com
Group       : System Environment/Libraries   Source RPM: libX11-1.1.5-1.fc10.src.rpm
Size        : 3079832                          License: MIT
Signature   : DSA/SHA1, Mon 23 Mar 2009 07:51:48 AM EDT, Key ID bf226fcc4ebfc273
Packager    : Fedora Project
URL         : http://www.x.org
Summary     : X.Org X11 libX11 runtime library
Description :
X.Org X11 libX11 runtime library

Comment 6 Mike Hudson 2009-03-26 16:27:14 UTC
In response to comment #1, yes this is when running GNOME. If I switch to KDE I can run the applications ds9 and Oracle Calender without problems.

Comment 7 Daniel Laczi 2009-03-26 21:56:35 UTC
I had the same problem using GNOME. http://koji.fedoraproject.org/koji/buildinfo?buildID=95426 fixes the problem on my i386 system.

Comment 8 Marcela Mašláňová 2009-03-27 06:43:56 UTC
Ok, so I remove the testing update of tk and the solution will be probably update to libX11-1.1.5-2.fc10  
https://admin.fedoraproject.org/updates/F10/FEDORA-2009-3065

Mike, does it work for you update to libX11?

Comment 9 Mike Hudson 2009-03-27 13:56:24 UTC
libX11-1.1.5-2.fc10 fixes my problem


Note You need to log in before you can comment on or make changes to this bug.